---
schema_version: "1"
id: 6d1c1ba6d9e0c0589aaef05041edca5efe8b1957d5935f4596614bee1ed4a334
title: WebComponentLocalSettings | Tableau Embedding API
collection: tableau
version: next
locale: en-us
portal_url: https://docs.salesforce.com/tableau/next/en-us/api/embedding_api/reference/interfaces/WebComponentLocalSettings.md
canonical_url: https://help.tableau.com/v0.0/api/embedding_api/en-us/reference/interfaces/WebComponentLocalSettings.html
source_site: help.tableau.com
content_type: documentation
content_hash: be3fa8d2a9c18b70854917166b0dbba91831eec8c8078b2057cfd07e60f5f00c
description: Documentation for Tableau Embedding API
---
- WebComponentLocalSettings

# Interface WebComponentLocalSettings

User supplied options that do not get passed as request parameters to load a Tableau viz, Tableau askdata

interface WebComponentLocalSettings {  
    [height](#height)?: string | number;  
    [src](#src)?: null | string;  
    [width](#width)?: string | number;  
}

#### Hierarchy ([View Summary](https://help.tableau.com/v0.0/api/embedding_api/en-us/reference/hierarchy.html#WebComponentLocalSettings))

- WebComponentLocalSettings
    - [AskDataSettings](https://help.tableau.com/v0.0/api/embedding_api/en-us/reference/interfaces/AskDataSettings.html)
    - [PulseSettings](https://help.tableau.com/v0.0/api/embedding_api/en-us/reference/interfaces/PulseSettings.html)
    - [Viz](https://help.tableau.com/v0.0/api/embedding_api/en-us/reference/interfaces/Viz.html)
    - [AuthoringViz](https://help.tableau.com/v0.0/api/embedding_api/en-us/reference/interfaces/AuthoringViz.html)

- Defined in packages/api-external-contract-js/src/ExternalContract/Embedding/WebComponentInterfaces.ts:4

##### Index

### Properties

[height?](#height) [src?](#src) [width?](#width)

## Properties

### `Optional`height[](#height)

height?: string | number

Represents height in pixels Can be any valid CSS size specifier. If not specified, defaults to the published height of the view.

- Defined in packages/api-external-contract-js/src/ExternalContract/Embedding/WebComponentInterfaces.ts:20

### `Optional`src[](#src)

src?: null | string

The viz src

- Defined in packages/api-external-contract-js/src/ExternalContract/Embedding/WebComponentInterfaces.ts:8

### `Optional`width[](#width)

width?: string | number

Represents width in pixels Can be any valid CSS size specifier. If not specified, defaults to the published width of the view.

- Defined in packages/api-external-contract-js/src/ExternalContract/Embedding/WebComponentInterfaces.ts:14

### Settings

Member Visibility

- Protected
- Inherited
- External

ThemeOSLightDark

### On This Page

Properties

[height](#height)[src](#src)[width](#width)